// ignore_for_file: deprecated_member_use

import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:qyuota/config/colors.dart';
import 'package:qyuota/config/images.dart';
import 'package:qyuota/config/text_style.dart';
import 'package:qyuota/widget/custom_button.dart';

class StoreLocationScreen extends StatefulWidget {
  const StoreLocationScreen({Key? key}) : super(key: key);

  @override
  State<StoreLocationScreen> createState() => _StoreLocationScreenState();
}

class _StoreLocationScreenState extends State<StoreLocationScreen> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        alignment: Alignment.bottomCenter,
        children: [
          Column(
            children: [
              Container(
                height: Get.height / 1.3,
                width: Get.width,
                decoration: const BoxDecoration(
                  image: DecorationImage(
                    image: AssetImage(
                      DefaultImages.p22,
                    ),
                    fit: BoxFit.fill,
                  ),
                ),
              ),
            ],
          ),
          Container(
            height: Get.height / 2.5,
            width: Get.width,
            decoration: BoxDecoration(
              borderRadius: const BorderRadius.only(
                topLeft: Radius.circular(30),
                topRight: Radius.circular(30),
              ),
              color: ConstColors.whiteColor,
              boxShadow: [
                BoxShadow(
                  color: const Color(0xff4E568C).withOpacity(0.06),
                ),
              ],
            ),
            child: ListView(
              physics: const ClampingScrollPhysics(),
              padding: EdgeInsets.zero,
              children: [
                Padding(
                  padding: const EdgeInsets.only(left: 20, right: 20),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      const SizedBox(height: 10),
                      Center(
                        child: Container(
                          width: 42,
                          height: 3,
                          decoration: BoxDecoration(
                            borderRadius: BorderRadius.circular(2),
                            color: ConstColors.lightColor.withOpacity(0.3),
                          ),
                        ),
                      ),
                      const SizedBox(height: 20),
                      Text(
                        "Nearby Location",
                        style: pSemiBold20.copyWith(
                          fontSize: 20,
                        ),
                      ),
                      const SizedBox(height: 20),
                      Column(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          for (var i = 0; i < 6; i++)
                            Padding(
                              padding: const EdgeInsets.only(bottom: 20),
                              child: Column(
                                crossAxisAlignment: CrossAxisAlignment.start,
                                children: [
                                  Row(
                                    children: [
                                      Container(
                                        height: 32,
                                        width: 32,
                                        decoration: BoxDecoration(
                                          borderRadius:
                                              BorderRadius.circular(6),
                                          color: i == 0
                                              ? ConstColors.primaryColor
                                                  .withOpacity(0.2)
                                              : ConstColors.skyColor
                                                  .withOpacity(0.2),
                                        ),
                                        child: Padding(
                                          padding: const EdgeInsets.all(4.0),
                                          child: SvgPicture.asset(
                                            DefaultImages.p23,
                                            color: i == 0
                                                ? ConstColors.primaryColor
                                                : ConstColors.skyColor,
                                          ),
                                        ),
                                      ),
                                      const SizedBox(width: 14),
                                      Column(
                                        crossAxisAlignment:
                                            CrossAxisAlignment.start,
                                        children: [
                                          Text(
                                            i == 0
                                                ? "Antapani Qyuota Center"
                                                : "Qyuota Merchant",
                                            style: pSemiBold20.copyWith(
                                              fontSize: 14,
                                            ),
                                          ),
                                          const SizedBox(height: 5),
                                          Text(
                                            i == 0
                                                ? "Antapani Street No. 21 Yogyakarta"
                                                : "Argopuro Street No. 13 Yogyakarta",
                                            style: pRegular14.copyWith(
                                              fontSize: 12,
                                              color: ConstColors.lightColor,
                                            ),
                                          ),
                                        ],
                                      ),
                                    ],
                                  ),
                                  i == 0
                                      ? Padding(
                                          padding: const EdgeInsets.only(
                                              top: 20, bottom: 10),
                                          child: Row(
                                            children: [
                                              Expanded(
                                                child: SizedBox(
                                                  height: 38,
                                                  child: CustomButton(
                                                    text: "Booking",
                                                    color: Colors.transparent,
                                                    onTap: () {},
                                                    textColor:
                                                        ConstColors.skyColor,
                                                  ),
                                                ),
                                              ),
                                              const SizedBox(width: 14),
                                              Expanded(
                                                flex: 2,
                                                child: SizedBox(
                                                  height: 38,
                                                  child: CustomButton(
                                                    text: "Directions",
                                                    color: ConstColors.skyColor,
                                                    onTap: () {},
                                                  ),
                                                ),
                                              ),
                                              const SizedBox(width: 14),
                                              SizedBox(
                                                height: 24,
                                                width: 24,
                                                child: SvgPicture.asset(
                                                  DefaultImages.p11,
                                                ),
                                              )
                                            ],
                                          ),
                                        )
                                      : const SizedBox(),
                                ],
                              ),
                            ),
                        ],
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
